RUNC(1)

NAME
runc - Open Container Project runtime

DESCRIPTION
runc is a command line client for running applications packaged according to the Open Container Format (OCF) and is a compliant implementation of the Open Container Project specification.

runc integrates well with existing process supervisors to provide a production container runtime environment for applications. It can be used with your existing process monitoring tools and the container will be spawned as a direct child of the process supervisor.

After creating a spec for your root filesystem with runc, you can execute a simple container in your shell by running:

    cd /mycontainer runc

  USAGE:

    runc [global options] command [command options] [arguments...]

  VERSION:

    0.2

  AUTHOR:

    Author - <unknown@email>

  COMMANDS:

checkpoint
    checkpoint a running container

events
    display container events such as OOM notifications and cpu, memeory, IO, and network stats

restore
    restore a container from a previous checkpoint

spec
    create a new specification file

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--id "runc-0.0.3"
    specify the ID to be used for the container

--debug
    enable debug output for logging

--root "/run/oci"
    root directory for storage of container state (this should be located in tmpfs)

--criu "criu"
    path to the criu binary used for checkpoint and restore

--help, -h
    show help

--version, -v
    print the version